Subject: Re: last call for comments

From: "Peter W. Gayek" <[email-masked]>
Date: Thu, 29 Sep 94 20:44:16 EDT

Wayne,
A few brief comments:

>    I think most buffer management routines would zero-fill the memory
>    on a get operation.  What I am more inclined to do is to identify the
>    fields in the SSP header that are relevant for a CapEx.  There
>    aren't that many:  (hope I haven't missed any)
>
>	00 .. Version Number (== 0x01)
>	01 .. Header Length (== decimal 72)
>	02 .. Message Length (same as LL in GDS Variable)
>	14 .. Message Type  (== CAP_EXCHANGE)
>	16 .. Protocol Id (== 0x42)
>	23 .. Message Type  (== CAP_EXCHANGE)
>
>    and merely leave the rest alone.  That way, if there is a buffer
>    management function out there that does not zero-fill, we won't
>    impose more overhead just for CapEx.  If there are strong opinions
>    that we ought to specify zero-fill for unused fields, then we
>    could do that.  I think 0xFF fill is a bad idea.

I like this approach.  I think version number is supposed to be 0x31
not 0x01.  The only other fields you might consider filling in to match
the control header description in the spec are:
  header number (offset 17) - 0x01
  frame direction (offset 38) - 0x01
but I don't think it will hurt to leave them zero if you want.

>>You might add the words "Allowed @" above the "Runtime" column of the
>>section 5.5 table to clarify that "Y" here means a CV is allowed but
>>not required.  In retrospect, "Supported SAP list" looks out of place
>>in the table; it would have been nice to have id's so the required
>>4 are in order at the top.  I suppose it's too late for such a change.
>>Peter
>
>    We'll make the table column header change.  As far as reordering the
>    CVs at this point, we could probably do it just prior to the final
>    submission for closed pages.  I've reordered them about 4 times
>    already throughout the life of CapEx ... they just won't stay
>    put :-).
>
>    If there are strong opinions one way or the other out there, please
>    speak up.  I'm inclined to leave them alone just to reduce the
>    number of edits we have to do.
>
>    We'll send out an updated Section 5 later today  to reflect some of the
>    recent changes.
>

Based on my understanding of the definition of AP and CP, I think AP is
your last shot to change something like CV id values.  Someone can ship
a product that is "compliant" to AP, so I think that formats can't
change for CP.  I'm basing this statement partly on section 2.8.3 in
the AIW procedures manual, and partly on recollection of discussions
with Lee Rafalow and Louise Wells.

Sounds like no one has a strong opinion.  If it were me I'd probably
reorder them one last time to move up the SAP list and put the MAC
address and NB name stuff next to each other, but it looks like this
is your call.

Peter